# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Friends

# vl::VLXStructure::Value Class Reference

Key/value pair used by VLXStructure. More...

`#include <VLXValue.hpp>`

List of all members.

## Public Member Functions

| Value ()
| Value (const char *key, VLXValue value)
std::string & | key ()
const std::string & | key () const
void | setKey (const char *key)
VLXValue & | value ()
const VLXValue & | value () const
void | setValue (const VLXValue &value)

## Friends

class | VLXStructure

## Detailed Description

Key/value pair used by VLXStructure.

Definition at line 581 of file VLXValue.hpp.

## Constructor & Destructor Documentation

vl::VLXStructure::Value::Value | ( | ) | `[inline]`

Definition at line 586 of file VLXValue.hpp.

vl::VLXStructure::Value::Value | ( | const char * | key,
|  | VLXValue | value
| ) |  | `[inline]`

Definition at line 587 of file VLXValue.hpp.

## Member Function Documentation

std::string& vl::VLXStructure::Value::key | ( | ) | `[inline]`

Definition at line 589 of file VLXValue.hpp.

Referenced by setKey().

const std::string& vl::VLXStructure::Value::key | ( | ) | const`[inline]`

Definition at line 590 of file VLXValue.hpp.

void vl::VLXStructure::Value::setKey | ( | const char * | key ) | `[inline]`

Definition at line 591 of file VLXValue.hpp.

References key().

Referenced by vl::VLXParserVLT::parseStructure(), and vl::VLXParserVLB::parseStructure().

VLXValue& vl::VLXStructure::Value::value | ( | ) | `[inline]`

Definition at line 593 of file VLXValue.hpp.

Referenced by vl::VLXParserVLT::parseStructure(), vl::VLXParserVLB::parseStructure(), setValue(), and vl::VLXVisitorCountIDs::visitStructure().

const VLXValue& vl::VLXStructure::Value::value | ( | ) | const`[inline]`

Definition at line 594 of file VLXValue.hpp.

void vl::VLXStructure::Value::setValue | ( | const VLXValue & | value ) | `[inline]`

Definition at line 595 of file VLXValue.hpp.

References value().

## Friends And Related Function Documentation

friend class VLXStructure`[friend]`

Definition at line 583 of file VLXValue.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.